# LegacyFlavour Mod for Cities Skylines 2

Welcome to LegacyFlavour, a mod that blends the charm of Cities Skylines 1 with the advanced gameplay of Cities Skylines 2. Our goal is to enhance your city-building experience by merging nostalgic elements from the original game with the new features of the sequel.

## New Features in v0.0.5

### Performance Enhancements and Configuration Saving
- **Optimised Performance**: Significant improvements have been made to the overall performance, ensuring a smoother and more efficient user experience.
- **Config Saving**: Enhanced the configuration saving feature, allowing users to easily save and retrieve their settings.

### User Interface Improvements
- **Responsive UI**: The user interface has been refined to be more responsive, providing a more fluid interaction.
- **Enhanced Sliders and Colour Pickers**: The sliders and colour pickers have been upgraded for better responsiveness. They now react more quickly and accurately to user inputs.
- **Sound Effects**: Added engaging sound effects to sliders and colour pickers, enriching the user interaction.

### New Window Transparency Mode
- **Transparent Window Option**: Introducing a new window transparency mode. When using colour pickers, you can now enable a mode that makes the window transparent, offering a more integrated and immersive experience.

### Bug Fixes
- Various bug fixes have been implemented to ensure a more stable and reliable application.

## Features

LegacyFlavour currently includes the following features:

1. **Unit Display for Road Tools**: This feature introduces a 'Unit' display for road tools, making it easier to plan and build your roads with precision. (Note: This feature requires the unit type to be set to Imperial in the game options.)

2. **Transparent Zone Grid Cells**: We've made zone grid cells transparent for a cleaner, more visually appealing city layout, allowing for a more immersive city planning experience.

3. **Re-worked colour Zone colour scheme**: Changes the colour scheme of zones to better match Cities Skylines 1. (UI icons will be updated too in the near future).

4. **Colour-Blindness Modes**: This is WIP and currently in testing. Cycle zone colours to match a scheme for specific types of colour blindness.

5. **Toggle Shortcuts**: 

- ALT+Z to toggle the zone colours mod. 
- SHIFT+Z to cycle through colour blindness modes.
- ALT+S to toggle Sticky Infomode Whiteness. 
- SHIFT+W to toggle Sticky Infomode Whiteness value override.
- ALT+R to reload the config file
- ALT+U to toggle Units display

6. **Configure Zone colours via JSON**: Config file in mod directory to allow custom values.

7. **Dynamic Zone Borders**: If it snows zone borders will switch colour to be more visible on snow. **UPDATE** this now calculates snow coverage so is more accurate. It may have a delay as updates occur periodically to prevent performance hits.

8. **Dynamic UI Icons**: UI icons for zones now adapt to match the configured colours. These are dynamically generated from the games icons based on config settings.

9. **Sticky Infomode Whiteness**: Shortcuts to override infomode 'whiteness' setting to stop it constantly popping up.

10. **UI System via HookUI**: Integrates with [HookUI](https://github.com/Captain-Of-Coit/hookui/releases) to offer an advanced UI system, elevating your control and customization options.

11. **Configurable Zoning Configuration**: Customize zoning options like never before. Adjust colours, borders, and more, directly from the UI.

12. **Enhanced Control over Weather and Time**: Control weather and time settings with new features, including saving these states between game reloads.

13. **Easy UI Access**: Access the new UI menu conveniently through the HookUI button located in the top left corner.

14. **Live UI Configurations**: Experience live changes in the game as you adjust settings. Utilize colour pickers and other interactive elements for an immersive configuration process.

15. **Buttons, buttons!**: You can set colour blindness profile sets to the vanilla colours, reset them to Legacy Flavour's default.


## Installation

### Requirements

- **BepInEx v5**: This mod requires BepInEx v5. Ensure you have this installed in your Cities Skylines 2 game.
- **HookUI**: This mod also requires HookUI.

### Download and Install

1. Download LegacyFlavour from this ThunderStore.io page.
2. Extract the downloaded files.
3. Copy the extracted files to the `BepInEx/plugins` folder in your Cities Skylines 2 directory.
4. Start Cities Skylines 2, and enjoy the mod!

## Support and Contributions

- If you encounter any issues or have questions, feel free to open an issue on our [GitHub repository](https://github.com/Cities2Modding/LegacyFlavour).
- Contributions are welcome! If you have suggestions or improvements, please submit them via GitHub.

## Disclaimer

LegacyFlavour is a fan-created mod and is not officially associated with the Cities Skylines franchise.

## Acknowledgements

Thanks to the dedicated Cities Skylines modding community for their support and creativity.

---

Happy city building with LegacyFlavour! Rediscover the legacy with a modern twist. 🌃🌉
